package com.yd.dal.service.marketing;

import com.yd.dal.entity.marketing.MktAnnouncement;

import java.util.Date;
import java.util.List;

public interface MktAnnouncementDALService {
    MktAnnouncement findById(Long id);

    List<MktAnnouncement> findByType(Long announcementType);

    List<MktAnnouncement> findByIsActiveAndAnnouncementAtBefore(int isActive, Date date);
}
